-- Fertilizer Silo Placeable
-- Copyright (C) by RC-Devil
-- Namensnennung in den Credits ist Pflicht!
-- Nutzung in anderen Mods nur mit vorheriger Anfrage und Genehmigung!
--

fertilizerSiloPlaceable = {};
fertilizerSiloPlaceable_mt = Class(fertilizerSiloPlaceable, Placeable);
InitObjectClass(fertilizerSiloPlaceable, "fertilizerSiloPlaceable");

function fertilizerSiloPlaceable:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, fertilizerSiloPlaceable_mt);
    registerObjectClassName(self, "fertilizerSiloPlaceable");
    return self;
end;

function fertilizerSiloPlaceable:delete()
    removeTrigger(self.FillTriggerId);
    unregisterObjectClassName(self);
    fertilizerSiloPlaceable:superClass().delete(self);
end;

function fertilizerSiloPlaceable:deleteFinal()
    fertilizerSiloPlaceable:superClass().deleteFinal(self);
end;

function fertilizerSiloPlaceable:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not fertilizerSiloPlaceable:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;
    local xmlFile = loadXMLFile("TempXML", xmlFilename);
    self.FillTriggerId = Utils.indexToObject(self.nodeId, getXMLString(xmlFile, "placeable.FillTrigger#index"));
    FillTrigger:onCreate(self.FillTriggerId);
    delete(xmlFile);
    return true;
end;

function fertilizerSiloPlaceable:update(dt)
end;
--registerPlaceableType("fertilizerSiloPlaceable", fertilizerSiloPlaceable);