-- Fertilizer Silo Placeable
-- Copyright (C) by RC-Devil
-- Namensnennung in den Credits ist Pflicht!
-- Nutzung in anderen Mods nur mit vorheriger Anfrage und Genehmigung!
--

herbicideSiloPlaceable = {};
herbicideSiloPlaceable_mt = Class(herbicideSiloPlaceable, Placeable);
InitObjectClass(herbicideSiloPlaceable, "herbicideSiloPlaceable");

function herbicideSiloPlaceable:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, herbicideSiloPlaceable_mt);
    registerObjectClassName(self, "herbicideSiloPlaceable");
    return self;
end;

function herbicideSiloPlaceable:delete()
    removeTrigger(self.FillTriggerId);
    unregisterObjectClassName(self);
    herbicideSiloPlaceable:superClass().delete(self);
end;

function herbicideSiloPlaceable:deleteFinal()
    herbicideSiloPlaceable:superClass().deleteFinal(self);
end;

function herbicideSiloPlaceable:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not herbicideSiloPlaceable:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;
    local xmlFile = loadXMLFile("TempXML", xmlFilename);
    self.FillTriggerId = Utils.indexToObject(self.nodeId, getXMLString(xmlFile, "placeable.FillTrigger#index"));
    FillTrigger:onCreate(self.FillTriggerId);
    delete(xmlFile);
    return true;
end;

function herbicideSiloPlaceable:update(dt)
end;
--registerPlaceableType("herbicideSiloPlaceable", herbicideSiloPlaceable);