-- Fertilizer Silo Placeable
-- Copyright (C) by RC-Devil
-- Namensnennung in den Credits ist Pflicht!
-- Nutzung in anderen Mods nur mit vorheriger Anfrage und Genehmigung!
--

kalkSiloPlaceable = {};
fertilizerSiloPlaceable_mt = Class(kalkSiloPlaceable, Placeable);
InitObjectClass(kalkSiloPlaceable, "kalkSiloPlaceable");

function kalkSiloPlaceable:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, kalkSiloPlaceable_mt);
    registerObjectClassName(self, "kalkSiloPlaceable");
    return self;
end;

function kalkSiloPlaceable:delete()
    removeTrigger(self.FillTriggerId);
    unregisterObjectClassName(self);
    kalkSiloPlaceable:superClass().delete(self);
end;

function kalkSiloPlaceable:deleteFinal()
    kalkSiloPlaceable:superClass().deleteFinal(self);
end;

function kalkSiloPlaceable:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not kalkSiloPlaceable:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;
    local xmlFile = loadXMLFile("TempXML", xmlFilename);
    self.FillTriggerId = Utils.indexToObject(self.nodeId, getXMLString(xmlFile, "placeable.FillTrigger#index"));
    FillTrigger:onCreate(self.FillTriggerId);
    delete(xmlFile);
    return true;
end;

function kalkSiloPlaceable:update(dt)
end;
--registerPlaceableType("kalkSiloPlaceable", kalkSiloPlaceable);