-- Fertilizer Silo Placeable
-- Copyright (C) by RC-Devil
-- Namensnennung in den Credits ist Pflicht!
-- Nutzung in anderen Mods nur mit vorheriger Anfrage und Genehmigung!
--

liquidFertilizerSiloPlaceable = {};
liquidFertilizerSiloPlaceable_mt = Class(liquidFertilizerSiloPlaceable, Placeable);
InitObjectClass(liquidFertilizerSiloPlaceable, "liquidFertilizerSiloPlaceable");

function liquidFertilizerSiloPlaceable:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, liquidFertilizerSiloPlaceable_mt);
    registerObjectClassName(self, "liquidFertilizerSiloPlaceable");
    return self;
end;

function liquidFertilizerSiloPlaceable:delete()
    removeTrigger(self.FillTriggerId);
    unregisterObjectClassName(self);
    liquidFertilizerSiloPlaceable:superClass().delete(self);
end;

function liquidFertilizerSiloPlaceable:deleteFinal()
    liquidFertilizerSiloPlaceable:superClass().deleteFinal(self);
end;

function liquidFertilizerSiloPlaceable:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not liquidFertilizerSiloPlaceable:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;
    local xmlFile = loadXMLFile("TempXML", xmlFilename);
    self.FillTriggerId = Utils.indexToObject(self.nodeId, getXMLString(xmlFile, "placeable.FillTrigger#index"));
    FillTrigger:onCreate(self.FillTriggerId);
    delete(xmlFile);
    return true;
end;

function liquidFertilizerSiloPlaceable:update(dt)
end;
--registerPlaceableType("liquidFertilizerSiloPlaceable", liquidFertilizerSiloPlaceable);