-- Seeds Silo Placeable
-- Copyright (C) by RC-Devil
-- Namensnennung in den Credits ist Pflicht!
-- Nutzung in anderen Mods nur mit vorheriger Anfrage und Genehmigung!
--

seedSiloPlaceable = {};
seedSiloPlaceable_mt = Class(seedSiloPlaceable, Placeable);
InitObjectClass(seedSiloPlaceable, "seedSiloPlaceable");

function seedSiloPlaceable:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, seedSiloPlaceable_mt);
    registerObjectClassName(self, "seedSiloPlaceable");
    return self;
end;

function seedSiloPlaceable:delete()
    removeTrigger(self.FillTriggerId);
    unregisterObjectClassName(self);
    seedSiloPlaceable:superClass().delete(self);
end;

function seedSiloPlaceable:deleteFinal()
    seedSiloPlaceable:superClass().deleteFinal(self);
end;

function seedSiloPlaceable:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not seedSiloPlaceable:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;
    local xmlFile = loadXMLFile("TempXML", xmlFilename);
    self.FillTriggerId = Utils.indexToObject(self.nodeId, getXMLString(xmlFile, "placeable.FillTrigger#index"));
    FillTrigger:onCreate(self.FillTriggerId);
    delete(xmlFile);
    return true;
end;

function seedSiloPlaceable:update(dt)
end;
--registerPlaceableType("seedSiloPlaceable", seedSiloPlaceable);